## gate.creole.tokeniser
Class InvalidRuleException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--gate.util.GateException
                        |
                        +--gate.creole.tokeniser.TokeniserException
                              |
                              +--gate.creole.tokeniser.InvalidRuleException

All Implemented Interfaces:
  Serializable

public class InvalidRuleException
extends TokeniserException

Fired when an invalid tokeniser rule is found

See Also:
  Serialized Form

Constructor Summary
`InvalidRuleException(String s)`

Methods inherited from class gate.util.GateException
`printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidRuleException

    public InvalidRuleException(String s)